Hittar inte Libtool vid kompilering

Tråden skapades och har fått 6 svar. Det senaste inlägget skrevs .
1
  • Medlem
  • Trollhättan
  • 2005-07-24 20:17

Hej.
När jag försöker kompilera får jag ett medellande: "You must have libtool installed to compile". Ok bara tt installera libtool då tänkte jag. Men efter installationen får jag fortfarande detta fel meddelande.

Om jag skriver "man libtool" så får jag upp manualen till libtool Då tycker man att det ska vara installerat eller?

Tacksam för all hjälp

  • Medlem
  • Mölndal
  • 2005-07-24 21:04

Hur kompilerar du? Har du installerat Developer tools?

Jag har installerat XCode 2.0 på en fräsch Tiger, och där finns libtool med.

Kanske ligger inte libtool i din path?

  • Medlem
  • Trollhättan
  • 2005-07-24 21:12

Jag följer en guide hur man laddar ner från cvs och kompilerar. Det står att jag ska skriva så här

1) skapa en katalog för dreambox cdk och byt till den nyskapade katalogen. Jag föreslår katalognamnet 'tuxbox-cvs'
# mkdir tuxbox-cvs
# cd tuxbox-cvs

2) checka ut tuxbox-cvs branch "dreambox":
tuxbox-cvs# export CVS_RSH=ssh
tuxbox-cvs# cvs -d anoncvs@cvs.tuxbox.org:/cvs/tuxbox -z3 co -P -rdreambox .
(ja, punkten skall vara med på slutet)

3) byt till "cdk"-katalogen
tuxbox-cvs# cd cdk

4) sätt exekveringsrättigheter på 'prepare'
cdk# chmod ugo+x prepare

5) Kör 'prepare' med önskad dreamboxmodell som parameter (här dm500, dm7000 är default)
cdk# ./prepare dm500

==== Här kommer jag inte längre utan får meddelandet =====

Jag har Xcode 1.5
Vart laddar jag ner Xcode 2.0 och developer tools då?

Hur ser jag om libtool är i min path ?

  • Medlem
  • Mölndal
  • 2005-07-24 23:17

Starta ett terminalfönster. Skriv "/usr/bin/libtool". Funkar det så är det installerat.

Skriv enbart "libtool". Funkar det inte men förra funkar, då har du inte "/usr/bin" i din path, vilket verkar konstigt.

XCode 2.1 (inte 2.0) laddar du ner på ADC. Du måste först regga ett gratis konto.
http://developer.apple.com/

  • Medlem
  • Trollhättan
  • 2005-07-25 11:47

Båda sätten fungerar. Får se om Xcode 2.1 fungerar.. föresten har för mig att 2.1 bara fungerar till Tiger ??

  • Medlem
  • Mölndal
  • 2005-07-25 12:14

Det stämmer. 1.5 funkar på Panther. Finns också på ADC under Downloads.

Men jag undrar om det hjälper. Om du faktiskt HAR libtool installerat och åtkomligt verkar det snarare vara nåt lurigt med kompileringsskriptet.

Edit: Äh, nu blev jag nyfiken. Jag tog hem källkoden precis som du gjort ovan. Får samma fel. Letade lite i skripten och kom fram till att det är testen "libtool --version" som ställer till det. I den version som finns installerad är syntaxen "libtool -V". Jag fixade detta genom att editera "autogen.sh" och ändra.

Provade sen att kompilera igen. Jag kommer längre, men stöter på nya problem, t ex att "libtoolize" inte finns. Jag hittar "glibtoolize", men har ingen aning om ifall det går att använda.

Här tar mina kunskaper slut. Du får nog vända dig till dem som har hand om källkoden.

Det finns ytterligare ett sätt som kan fungera. Installera Darwinports eller Fink och installera libtools via dom istället (http://fink.sourceforge.net/) (http://darwinports.opendarwin.org/)

Har råkat ut för detta problem någon gång och det verkar som libtools via framför allt fink fungerar bättre än Xcodes egen.

1
Bevaka tråden